## libcrypt-util-perl 0.11

=== debian/changelog ===
libcrypt-util-perl (0.11-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:08:18 +0100

libcrypt-util-perl (0.11-3) unstable; urgency=low

  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Fix stop (build-)depending on libstorable-perl: Provided by
    perl(-modules).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Aug 2013 15:57:47 +0200

libcrypt-util-perl (0.11-2) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Use canonical hostname anonscm.debian.org in Vcs-Git URI.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax to only suggest (not build-depend on or recommend)
      libcrypt-blowfish-perl, libcrypt-des-perl, libcrypt-twofish-perl
      and libdigest-whirlpool-perl: Listed as non-preferred in fallback
      lists of the module, and not required explicitly in testsuite.
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment to obey silly
      restrictions of copyright format 1.0.
    + Simplify comments for convenience code copy.
  * Bump dephelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Stop track or support import of upstream development releases.
  * Have git-buildpackage ignore upstream .gitignore files.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Apr 2013 20:22:54 +0200

libcrypt-util-perl (0.11-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#676518.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Jun 2012 19:22:56 +0200
