=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2012, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Crypt::Util
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_PACKAGE = Crypt-Util
DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Crypt
DEB_UPSTREAM_TARBALL_MD5 = 0bbab33d0ff5c9781312143d993f00db

# Needed by upstream build and (always/often/seldom) at runtime
# TODO: Build-depend on and recommend preferred digest crypt-ripemd160
# TODO: Build-depend on and recommend preferred auth mode crypt-eax
# TODO: Build-depend on and recommend preferred mode crypt-cfb
# TODO: Build-depend on testsuite-optional modes crypt-ofb and crypt-ctr
perl-deps = data-guid moose sub-exporter namespace-clean
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
perl-deps-recommend = crypt-cbc crypt-rijndael digest-hmac
perl-deps-recommend += mime-base32 mime-base64-urlsafe uri
deps-recommend = $(patsubst %,$(comma) lib%-perl,$(perl-deps-recommend))

# Needed for upstream testsuite
deps-test = libtest-exception-perl, libtest-use-ok-perl

# Needed (seldom) at runtime
perl-suggests = crypt-cfb crypt-des crypt-eax crypt-rc6 crypt-ripemd160
perl-suggests += crypt-blowfish crypt-serpent crypt-twofish crypt-ofb
perl-suggests += crypt-ctr digest-cmac digest-whirlpool
suggests = $(patsubst %,$(comma) libcrypt-%-perl,$(perl-suggests))

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test), $(deps-recommend)
CDBS_DEPENDS_$(pkg) = $(deps)
CDBS_RECOMMENDS_$(pkg) = $(deps-recommend)
CDBS_SUGGESTS_$(pkg) = $(suggests)
